Salary.com
Home API MCP
Home
API
Welcome to the Salary.com API
Data as a Service CompAnalyst and JobArchitect

Data as a Service

Introduction & AI
Behavior Request Field Definitions Response Field Definitions Match a Job POST Batch Match Jobs POST Match a Job (Verbose) POST Batch Match Jobs (Verbose) POST
Behavior Request Field Definitions Response Field Definitions Match a Job POST Match a Job (Verbose) POST

CompAnalyst

Get an Employee GET Get Employee List GET Create an Employee POST Update an Employee PUT Delete an Employee DELETE
Get a Company Job GET Get Company Job List GET Create a Company Job POST Update a Company Job PUT
Get Composite List GET Get Composite by Job Code GET

JobArchitect

Get Job Description List GET Get a Job Description Details GET
Get Skills GET

Reference

Employees Company Jobs Salary Plan Competencies Composites JobArchitect Skills
Change Log
MCP
Welcome to Salary.com MCP Authentication

CompAnalyst Market Data Tools

Overview
getMarketRate getBenchmarkJobDetails findBenchmarkMatches compareToMarket Shared Fields & Filters

SalaryIQ Labor Market Tools

Overview
getPostingTrends getTrendingSkills getHiringCompanies summarizeLaborMarket Shared Fields & Filters

Reference

Resources
×
Back
Welcome to Salary.com MCP Authentication

CompAnalyst Market Data Tools

Overview Market Data Tools
getMarketRate getBenchmarkJobDetails findBenchmarkMatches compareToMarket Shared Fields & Filters

SalaryIQ Labor Market Tools

Overview Labor Market Tools
getPostingTrends getTrendingSkills getHiringCompanies summarizeLaborMarket Shared Fields & Filters

Reference

Resources

Authentication

The Salary.com MCP server is located at:

https://mcp.salary.com/mcp

To access the MCP server, authenticate using OAuth 2.0.

URL

https://oauth.salary.com/connect/token

Method

POST

Request Headers

Content-Type: application/x-www-form-urlencoded

Request Body

grant_type: is always “client_credentials”

The client_id and client_secret can be provisioned by Salary.com. Please reach out to your customer success manager.

{
    "grant_type": "client_credentials",
    "client_id": "your_client_id",
    "client_secret": "your_client_secret"
}

Request Example

curl -X POST https://oauth.salary.com/connect/token \
  -H "Content-Type: application/x-www-form-urlencoded" \
  -d grant_type=client_credentials \
  -d client_id=your_client_id \
  -d client_secret=your_client_secret \
  -d scope=mcp:read

The returned access token should then be included in the request header:

Authorization: Bearer <access_token>

Use this token when connecting to: https://mcp.salary.com/mcp

The resulting bearer token is expected to be valid for 3600s.

Salary.com may enforce usage controls at the credential level, including total call limits, rate limits, and concurrency limits.

© Copyright Salary.com 2026. All Rights Reserved.

Privacy Policy/California Privacy Rights | Legal | Accessibility | Terms of Use | Do Not Sell or Share My Information